package com.koobietech.eas.mbg.mapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.koobietech.eas.mbg.model.EasSysLogs;
import com.koobietech.eas.mbg.model.EasSysLogsExample;
import io.swagger.v3.oas.annotations.media.Schema;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface EasSysLogsMapper {
    long countByExample(EasSysLogsExample example);

    int deleteByExample(EasSysLogsExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(EasSysLogs record);

    int insertSelective(EasSysLogs record);

    List<EasSysLogs> selectByExampleWithBLOBs(EasSysLogsExample example);

    List<EasSysLogs> selectByExample(EasSysLogsExample example);

    EasSysLogs selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") EasSysLogs record, @Param("example") EasSysLogsExample example);

    int updateByExampleWithBLOBs(@Param("record") EasSysLogs record, @Param("example") EasSysLogsExample example);

    int updateByExample(@Param("record") EasSysLogs record, @Param("example") EasSysLogsExample example);

    int updateByPrimaryKeySelective(EasSysLogs record);

    int updateByPrimaryKeyWithBLOBs(EasSysLogs record);

    int updateByPrimaryKey(EasSysLogs record);
}